<template>
	<div class="ext-codexexample-button-demo">
		<p>{{ $i18n( 'codexexample-app-counter-value', counter ) }}</p>
		<cdx-button
			action="destructive"
			:disabled="!canDecrease"
			@click="decrease"
		>
			{{ $i18n( 'codexexample-app-counter-decrease' ) }}
		</cdx-button>
		<cdx-button
			action="progressive"
			weight="primary"
			@click="increase"
		>
			<cdx-icon :icon="cdxIconAdd"></cdx-icon>
			{{ $i18n( 'codexexample-app-counter-increase' ) }}
		</cdx-button>
	</div>
</template>

<script>
const { CdxButton, CdxIcon } = require( '../../codex.js' );

// Codex icons are available from ResourceLoader.
// To load only the icons you need, use a ResourceLoader callback (see
// https://www.mediawiki.org/wiki/Codex#Using_Codex_icons_in_MediaWiki_and_extensions
// or this extension's extension.json file).
const { cdxIconAdd } = require( '../icons.json' );

/**
 * CdxButton demo.
 *
 * This component uses Vue's Options API (see https://vuejs.org/api/options-state.html).
 */
// @vue/component
module.exports = exports = {
	name: 'ButtonDemo',
	components: {
		CdxButton,
		CdxIcon
	},
	data() {
		return {
			counter: 0,
			cdxIconAdd
		};
	},
	computed: {
		canDecrease() {
			return this.counter > 0;
		}
	},
	methods: {
		decrease() {
			this.counter--;
		},
		increase() {
			this.counter++;
		}
	}
};
</script>
